gtk3-0.14.1: Binding to the Gtk+ 3 graphical user interface library

Maintainer | gtk2hs-users@lists.sourceforge.net
Stability | provisional
Portability | portable (depends on GHC)
Safe Haskell | None
Language | Haskell98

Graphics.UI.Gtk.Layout.Overlay

Contents

- Detail
- Class Hierarchy
- Types
- Constructors

Description

A simple container that can display overlayed widgets

Synopsis

- data Overlay
- class BinClass o => OverlayClass o
- castToOverlay :: GObjectClass obj => obj -> Overlay
- gTypeOverlay :: GType
- toOverlay :: OverlayClass o => o -> Overlay
- overlayNew :: IO Overlay
- overlayAdd :: (OverlayClass self, WidgetClass widget) => self -> widget -> IO ()

# Detail

The Overlay widget is a Bin widget where widgets can be added as overlay of the bin widget.

# Class Hierarchy

    | GObject
    | +----Object
    | +----Widget
    | +----Container
    | +----Bin
    | +----Overlay

# Types

data Overlay

Instances

Eq Overlay |
Ord Overlay |
GObjectClass Overlay |
OverlayClass Overlay |
BinClass Overlay |
ContainerClass Overlay |
WidgetClass Overlay |

class BinClass o => OverlayClass o

Instances

OverlayClass Overlay |

castToOverlay :: GObjectClass obj => obj -> Overlay

gTypeOverlay :: GType

toOverlay :: OverlayClass o => o -> Overlay

# Constructors

overlayNew :: IO Overlay

Create a new `Overlay`

overlayAdd

Arguments

:: (OverlayClass self, WidgetClass widget) |
=> self |
-> widget | `widget` - a widget to be placed as overlay
-> IO () |